%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear:       %global __pear %{_bindir}/pear}
%global pear_name Math_Stats
#global beta beta3

Name:           php-pear-Math-Stats
Version:        0.9.1
Release:        13%{?dist}
Summary:        Classes to calculate statistical parameters

Group:          Development/Libraries
License:        PHP
URL:            http://pear.php.net/package/Math_Stats
Source0:        http://pear.php.net/get/%{pear_name}-%{version}%{?beta}.tgz

# https://github.com/pear/Math_Stats/commit/891a6413c30301fad711bb8aedba4f79dc87f46a
Patch1:         Math_Stats-git.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear
# For test suite
BuildRequires:  php-pear(pear.phpunit.de/PHPUnit)

Requires:       php-pear(PEAR)
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

%description
Package to calculate statistical parameters of numerical arrays
of data. The data can be in a simple numerical array, or in a
cumulative numerical array. A cumulative array, has the value
as the index and the number of repeats as the value for the
array item, e.g. $data = array(3=>4, 2.3=>5, 1.25=>6, 0.5=>3).


%prep
%setup -q -c

cd %{pear_name}-%{version}%{?beta}
# package.xml is V2
sed -e '/contrib/s/role=".*"/role="doc"/' <../package.xml >%{name}.xml

%patch1 -p1 -b .orig


%build
cd %{pear_name}-%{version}%{?beta}
# Empty build section, most likely nothing required.


%install
rm -rf $RPM_BUILD_ROOT
cd %{pear_name}-%{version}%{?beta}
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_metadir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%check
# error_reporting = E_ALL & ~E_STRICT & ~E_DEPRECATED = 22527
cd %{pear_name}-%{version}
%{_bindir}/phpunit \
   -d error_reporting=22527 \
   -d date.timezone=UTC \
   --include-path=$RPM_BUILD_ROOT%{pear_phpdir} \
   tests


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_testdir}/%{pear_name}
%{pear_phpdir}/Math


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Jan 18 2014 Remi Collet <remi@fedoraproject.org> - 0.9.1-12
- set error_reporting during test

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Feb 19 2013 Remi Collet <remi@fedoraproject.org> - 0.9.1-10
- fix metadata location

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Aug 14 2012 Remi Collet <remi@fedoraproject.org> - 0.9.1-8
- rebuilt for new pear_testdir

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jan 16 2012 Remi Collet <remi@fedoraproject.org> - 0.9.1-6
- fix from GIT for test suite

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jul  6 2011 Remi Collet <Fedora@FamilleCollet.com> - 0.9.1-4
- fix include_path in test (FTBFS #715788)

* Sun Apr 17 2011 Remi Collet <Fedora@FamilleCollet.com> - 0.9.1-3
- doc in /usr/share/doc/pear

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Oct 04 2010 Remi Collet <Fedora@FamilleCollet.com> - 0.9.1-1
- upstream 0.9.1 
  patch for https://pear.php.net/bugs/17924 merged

* Sat Oct 02 2010 Remi Collet <Fedora@FamilleCollet.com> - 0.9.0-1
- upstream 0.9.0
- package.xml is now V2
- patch for https://pear.php.net/bugs/17924
- run phpunit during %%check

* Sat Aug 28 2010 Remi Collet <Fedora@FamilleCollet.com> - 0.9.0-0.5.beta3
- clean define
- remove LICENSE (not provided by upstream)
- rename Math_Stats.xml to php-pear-Math-Stats.xml
- set date.timezone during build
- convert package.xml to V2 during prep

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-0.4.beta3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-0.3.beta3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Aug 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.9.0-0.2.beta3
- fix license tag

* Sun Dec 03 2006 Christopher Stone <chris.stone@gmail.com> 0.9.0-0.1.beta3
- Initial Release
